PasswordValidationCallback (JASPIC 1.1 API Documentation - Apache Tomcat 9.0.37)

javax.security.auth.message.callback

## Class PasswordValidationCallback

- java.lang.Object
- - javax.security.auth.message.callback.PasswordValidationCallback

- All Implemented Interfaces:
    javax.security.auth.callback.Callback

      public class PasswordValidationCallback
      extends java.lang.Object
      implements javax.security.auth.callback.Callback

  Callback that enables an authentication module to supply a user name and password (to a runtime?) and determine if the result of validation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordValidationCallback(javax.security.auth.Subject subject, java.lang.String username, char[] password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPassword()`
    `char[]` | `getPassword()`
    `boolean` | `getResult()`
    `javax.security.auth.Subject` | `getSubject()`
    `java.lang.String` | `getUsername()`
    `void` | `setResult(boolean result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordValidationCallback

          public PasswordValidationCallback(javax.security.auth.Subject subject,
                                            java.lang.String username,
                                            char[] password)

  - ### Method Detail

    - #### getSubject

          public javax.security.auth.Subject getSubject()

    - #### getUsername

          public java.lang.String getUsername()

    - #### getPassword

          public char[] getPassword()

    - #### clearPassword

          public void clearPassword()

    - #### setResult

          public void setResult(boolean result)

    - #### getResult

          public boolean getResult()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.